The prompt of Password Strength Meter hasn't been translated.

Bug #1391024 reported by kyt on 2014-11-10
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Kylin
Medium
Aron Xu
Ubuntu Translations
Medium
Unassigned
libpwquality (Ubuntu)
Low
Sebastien Bacher
Trusty
Low
Unassigned
Utopic
Low
Unassigned

Bug Description

* Impact
the password meter hints from the user account settings are not translated

* Test case
- use unity7 with a non english locale
- System settings->User Accounts->Unlock
- Click password
- place the mouse on the Password Strength Meter
-> the hint should be translated

* Impact regression
Shouldn't be one, there is no code change, it's only for launchpad import of the template

-------

1. System settings->User Accounts->Unlock
2. Click password
3. place the mouse on the Password Strength Meter
Failed- The prompt of Password Strength Meter hasn't been translated.

Ubuntukylin-14.10-utopic; 32bit ;lenovo

kyt (952456204-6) wrote :
affects: onboard (Ubuntu) → ubuntu
kyt (952456204-6) on 2014-11-10
Changed in ubuntukylin:
milestone: none → vivid-alpha1
tags: added: l10n
Jack Yu (jackyu) on 2014-11-12
Changed in ubuntukylin:
assignee: nobody → Luo Lei (luolei)
importance: Undecided → Medium
Anthony Wong (anthonywong) wrote :

The string should be coming from:
https://translations.launchpad.net/ubuntu/vivid/+source/pam/+pots/linux-pam/zh_CN/55/+translate

But it has already been translated, perhaps the program is not using it?

Changed in ubuntukylin:
status: New → Triaged

How could you find it. Download the full lang-pack then grep?

在 2014年12月12日 16:37, Anthony Wong 写道:
> The string should be coming from:
> https://translations.launchpad.net/ubuntu/vivid/+source/pam/+pots/linux-pam/zh_CN/55/+translate
>
> But it has already been translated, perhaps the program is not using it?
>
> ** Changed in: ubuntukylin
> Status: New => Triaged
>

--
Regards,
Luo Lei
Ubuntu Kylin Team
Website: http://www.ubuntukylin.com/
Distribution: http://distrowatch.com/table.php?distribution=ubuntukylin

Anthony Wong (anthonywong) wrote :

Usually I start from Google, search with "site:translations.launchpad.net" to limit the search scope.

Luo Lei (luolei) wrote :

Nice.

在 2014年12月12日 17:11, Anthony Wong 写道:
> Usually I start from Google, search with
> "site:translations.launchpad.net" to limit the search scope.
>

--
Regards,
Luo Lei
Ubuntu Kylin Team
Website: http://www.ubuntukylin.com/
Distribution: http://distrowatch.com/table.php?distribution=ubuntukylin

Eason (qulei) wrote :

This bug still exists in Vivid x32 Daily Build 20141214

shijing (shijing) wrote :

This bug still exists in Vivid alpha1

Changed in ubuntukylin:
milestone: vivid-alpha1 → vivid-alpha2
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1391024

tags: added: iso-testing
Changed in ubuntukylin:
milestone: vivid-alpha2 → vivid-beta2
Changed in ubuntukylin:
milestone: vivid-beta2 → vivid-beta1
Aron Xu (happyaron) wrote :

unity-control-center makes use of libpwquality to detect password strength, so that the library is made to main, but translations aren't imported to launchpad, thus not included anywhere (not in langpack or package).

affects: ubuntu → libpwquality
Changed in ubuntukylin:
assignee: Luo Lei (luolei) → Aron Xu (happyaron)
Adolfo Jayme (fitojb) on 2015-02-01
Changed in ubuntu-translations:
status: New → Triaged
importance: Undecided → Medium
Aron Xu (happyaron) on 2015-02-04
affects: libpwquality → libpwquality (Ubuntu)
Changed in libpwquality (Ubuntu):
status: New → In Progress
importance: Undecided → Low
assignee: nobody → Sebastien Bacher (seb128)
Changed in libpwquality (Ubuntu):
status: In Progress → Fix Committed
Aron Xu (happyaron) on 2015-02-06
Changed in ubuntu-translations:
status: Triaged → Fix Committed
Changed in ubuntukylin:
status: Triaged → Fix Committed
Sebastien Bacher (seb128) wrote :

The translations config was wrong on launchpad, fixed and reuploaded, translations are now on
https://translations.launchpad.net/ubuntu/vivid/+source/libpwquality/+pots/libpwquality/zh_CN/+translate

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libpwquality - 1.2.3-1ubuntu2

---------------
libpwquality (1.2.3-1ubuntu2) vivid; urgency=medium

  * No change rebuild to get translations imported in launchpad
    (lp: #1391024)
 -- Sebastien Bacher <email address hidden> Fri, 06 Feb 2015 15:08:24 +0100

Changed in libpwquality (Ubuntu):
status: Fix Committed → Fix Released
Sebastien Bacher (seb128) wrote :

SRUed to trusty and utopic as well

description: updated
Changed in libpwquality (Ubuntu Utopic):
status: New → In Progress
importance: Undecided → Low
Changed in libpwquality (Ubuntu Trusty):
status: New → In Progress
importance: Undecided → Low

Hello kyt, or anyone else affected,

Accepted libpwquality into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libpwquality/1.2.3-1ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libpwquality (Ubuntu Utopic):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in libpwquality (Ubuntu Trusty):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello kyt, or anyone else affected,

Accepted libpwquality into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libpwquality/1.2.3-1ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-failed-trusty verification-failed-utopic
Sebastien Bacher (seb128) wrote :

removing buggy tags added by jiaowen520li, when you failed tag explain what you tested and what went wrong

tags: removed: verification-failed-trusty verification-failed-utopic
jiaowen520li (jiaowen520li) wrote :

This question still remain in ubuntukylin-trusty & ubuntukylin-utopic.

tags: added: verification-failed-trusty verification-failed-utopic
Changed in ubuntukylin:
milestone: vivid-beta1 → vivid-beta2
Anthony Wong (anthonywong) wrote :

I think we need a language-pack update to see the fix in effect?

Sebastien Bacher (seb128) wrote :

@jiaowen520li, can you please stop changing tags on that bug in a buggy way?

the template got imported
https://translations.launchpad.net/ubuntu/trusty/+source/libpwquality

which means the upload worked. As Anthony says you need the strings to be translated and shipped in a langpack before to see them translated on your desktop, but that doesn't mean the SRU is buggy or the verification failed

tags: removed: verification-failed-trusty verification-failed-utopic
tags: added: verification-done-trusty verification-done-utopic
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libpwquality - 1.2.3-1ubuntu1.2

---------------
libpwquality (1.2.3-1ubuntu1.2) utopic; urgency=medium

  * No change rebuild to get translations imported in launchpad
    (lp: #1391024)
 -- Sebastien Bacher <email address hidden> Fri, 06 Feb 2015 15:08:24 +0100

Changed in libpwquality (Ubuntu Utopic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for libpwquality has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libpwquality - 1.2.3-1ubuntu1.1

---------------
libpwquality (1.2.3-1ubuntu1.1) trusty; urgency=medium

  * No change rebuild to get translations imported in launchpad
    (lp: #1391024)
 -- Sebastien Bacher <email address hidden> Fri, 06 Feb 2015 15:08:24 +0100

Changed in libpwquality (Ubuntu Trusty):
status: Fix Committed → Fix Released
Aron Xu (happyaron) on 2015-03-12
Changed in ubuntu-translations:
status: Fix Committed → Fix Released
Changed in ubuntukylin:
status: Fix Committed → Fix Released
jiaowen520li (jiaowen520li) wrote :

This bug has been fixed in UK15.04-0311-Daily-amd64.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers